## kf6-kcmutils 6.12.0

=== src/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-3-Clause

add_library(KF6KCMUtilsCore)

qt_extract_metatypes(KF6KCMUtilsCore)

set_target_properties(KF6KCMUtilsCore PROPERTIES
    VERSION     ${KCMUTILS_VERSION}
    SOVERSION   ${KCMUTILS_SOVERSION}
    EXPORT_NAME KCMUtilsCore
)

ecm_qt_declare_logging_category(KF6KCMUtilsCore
    HEADER kcmutilscore_debug.h
    IDENTIFIER KCMUTILS_CORE_LOG
    CATEGORY_NAME kf.kcmutils.core
    DESCRIPTION "KCMUtilsCore"
    EXPORT KCMUTILS_CORE
)
ecm_generate_export_header(KF6KCMUtilsCore
    BASE_NAME KCMUtilsCore
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME KCMUtils
    DEPRECATED_BASE_VERSION 0
)
target_include_directories(KF6KCMUtilsCore PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/..>" # module version header
)
target_include_directories(KF6KCMUtilsCore INTERFACE
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KCMUtilsCore>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KCMUtils>" # module version header
)

target_sources(KF6KCMUtilsCore PRIVATE
    kpluginmodel.cpp
    kabstractconfigmodule.cpp
    kcmoduledata.cpp
    kcmoduledata.h
)
target_link_libraries(KF6KCMUtilsCore
  PUBLIC
    KF6::CoreAddons
  PRIVATE
    KF6::ConfigCore
    KF6::ItemViews
)

ecm_generate_headers(KCMUtilsCore_HEADERS
  HEADER_NAMES
  KPluginModel
  KAbstractConfigModule
  KCModuleData

  REQUIRED_HEADERS KCMUtilsCore_HEADERS
)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kcmutilscore_export.h
  ${KCMUtilsCore_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCMUtilsCore COMPONENT Devel
)

install(TARGETS KF6KCMUtilsCore EXPORT KF6KCMUtilsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

add_library(kcmutils_proxy_model STATIC kpluginproxymodel.cpp)
qt_extract_metatypes(kcmutils_proxy_model)
# Needed to link this static lib to shared libs
set_property(TARGET kcmutils_proxy_model PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(kcmutils_proxy_model PUBLIC KF6KCMUtilsCore KF6::ItemViews)

if(NOT BUILD_SHARED_LIBS)
  install(TARGETS kcmutils_proxy_model EXPORT KF6KCMUtilsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

=== src/quick/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-3-Clause

add_library(KF6KCMUtilsQuick
    kquickconfigmodule.cpp
    kquickmanagedconfigmodule.cpp
    sharedqmlengine.cpp
    kquickconfigmoduleloader.cpp
)

qt_extract_metatypes(KF6KCMUtilsQuick)

ecm_generate_export_header(KF6KCMUtilsQuick
    BASE_NAME KCMUtilsQuick
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
)
target_include_directories(KF6KCMUtilsQuick INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KCMUtilsQuick>")

target_link_libraries(KF6KCMUtilsQuick
  PUBLIC
    KF6::CoreAddons
    KF6::ConfigCore
    Qt6::Qml
    KF6KCMUtilsCore
  PRIVATE
    KF6::I18n
    KF6::ConfigGui
    Qt6::Quick
    kcmutils_logging_STATIC
)

if(TARGET KF6::I18nQml)
  target_link_libraries(KF6KCMUtilsQuick PRIVATE
        KF6::I18nQml
)
endif()

set_target_properties(KF6KCMUtilsQuick PROPERTIES
                      VERSION ${KCMUTILS_VERSION}
                      SOVERSION ${KCMUTILS_SOVERSION}
                      EXPORT_NAME KCMUtilsQuick)
ecm_generate_headers(KCMUtilsQuick_HEADERS
  HEADER_NAMES
  KQuickConfigModule
  KQuickManagedConfigModule
  KQuickConfigModuleLoader

  REQUIRED_HEADERS KCMUtilsQuick_HEADERS
)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kcmutilsquick_export.h
  ${KCMUtilsQuick_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCMUtilsQuick COMPONENT Devel
)

install(TARGETS KF6KCMUtilsQuick EXPORT KF6KCMUtilsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

## kf6-kcmutils 6.3.0

=== debian/changelog ===
kf6-kcmutils (6.3.0-2ubuntu1) oracular; urgency=medium

  * Mark two symbols as optional to fix FTBFS on Ubuntu buildds.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Jun 2024 20:43:00 +0100

kf6-kcmutils (6.3.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing dependencies for libkf6kcmutils-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Jun 2024 00:56:22 +0200

kf6-kcmutils (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 15:00:58 +0200

kf6-kcmutils (6.0.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Re-enable tests.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 20 May 2024 22:00:47 +0200

kf6-kcmutils (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 16 May 2024 20:38:45 +0200

kcmutils (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:09:40 +0100

kcmutils (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:47 +0200

kcmutils (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:04 +0100

kcmutils (5.103.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Make libkf5kcmutils-bin Multi-Arch: foreign, thx to Helmut Grohne
    (Closes: #1022135).

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Feb 2023 19:10:11 +0100

kcmutils (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:32 +0100

kcmutils (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:11 +0100

kcmutils (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:37 +0100

kcmutils (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:06 +0100

kcmutils (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:26 +0200

kcmutils (5.97.0+really5.97.0-2) unstable; urgency=medium

  * Team upload.
  * Add libkf5kcmutils-bin as dependency in libkf5kcmutils-dev, so the cmake
    config files work.

 -- Pino Toscano <pino@debian.org>  Fri, 19 Aug 2022 07:08:08 +0200

kcmutils (5.97.0+really5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Reupload with a +really version to work around the broken .asc signature
    file in the 5.97.0-1 upload.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 17 Aug 2022 09:58:09 +0200

kcmutils (5.97.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 19:01:56 +0200

kcmutils (5.97.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).
  * Add libkf5kcmutils5-bin package to ship the new
    kcmdesktopfilegenerator binary.
  * Drop obsolete Breaks/Replaces.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 12 Aug 2022 18:37:45 +0200

kcmutils (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:10 +0200

kcmutils (5.94.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Fri, 27 May 2022 08:55:09 +0200

kcmutils (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Add symbols for libkf5kcmutilscore5.
  * Short descriptions shouldn't be sentences.
  * Review copyright information.

  [ Rik Mills ]
  * Add new binary packages libkf5kcmutilscore5 and
    qml-module-org-kde-kcmutils.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:07 +0200

kcmutils (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.93.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:49 +0200



=== debian/control ===
Source: kf6-kcmutils
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6guiaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6itemviews-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               qml6-module-org-kde-kirigami <!nocheck>,
               qml6-module-qtqml-workerscript <!nocheck>,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kcmutils
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils.git
Rules-Requires-Root: no

Package: libkf6kcmutils-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: runtime files for kcmutils
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 Contains runtime files for kcmutils.

Package: libkf6kcmutils-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the data files.

Package: libkf6kcmutils-dev
Section: libdevel
Architecture: any
Depends: libkf6configwidgets-dev (>= 6.3.0~),
         libkf6coreaddons-dev (>= 6.3.0~),
         libkf6kcmutils-bin (= ${binary:Version}),
         libkf6kcmutils6 (= ${binary:Version}),
         libkf6kcmutilscore6 (= ${binary:Version}),
         libkf6kcmutilsquick6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         qt6-declarative-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6kcmutils-doc (= ${source:Version}),
Description: Extra APIs to write KConfig modules
 Some utility classes for KSettings, KCModule and KPlugin.
 .
 Contains development files for kcmutils.

Package: libkf6kcmutils-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Extra APIs to write KConfig modules (documentation)
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the qch documentation files.

Package: libkf6kcmutils6
Architecture: any
Multi-Arch: same
Depends: libkf6kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6kcmutils-bin (= ${binary:Version}),
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

Package: libkf6kcmutilscore6
Architecture: any
Multi-Arch: same
Depends: libkf6kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

Package: libkf6kcmutilsquick6
Architecture: any
Multi-Arch: same
Depends: libkf6kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

Package: qml6-module-org-kde-kcmutils
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

## kf6-kcmutils 6.6.0

=== debian/changelog ===
kf6-kcmutils (6.6.0-2deepin1) unstable; urgency=medium

  * add qml6-module.

 -- lichenggang <lichenggang@deepin.org>  Thu, 21 Nov 2024 16:40:17 +0800

kf6-kcmutils (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Tue, 19 Nov 2024 02:25:32 +0100

kf6-kcmutils (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:14:52 +0200

kf6-kcmutils (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Mon, 19 Aug 2024 19:59:49 +0200

kf6-kcmutils (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:11 +0200

kf6-kcmutils (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:58 +0200

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,22 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6configwidgets-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6guiaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6itemviews-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
-               libkf6xmlgui-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6configwidgets-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6guiaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6itemviews-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
+               libkf6xmlgui-dev (>= 6.6.0~),
                qml6-module-org-kde-kirigami <!nocheck>,
                qml6-module-qtqml-workerscript <!nocheck>,
+               qml6-module-qtcore,
+               qml6-module-qtquick,
+               qml6-module-qtquick-window,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
@@ -55,12 +59,13 @@
 Package: libkf6kcmutils-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6configwidgets-dev (>= 6.3.0~),
-         libkf6coreaddons-dev (>= 6.3.0~),
+Depends: libkf6configwidgets-dev (>= 6.6.0~),
+         libkf6coreaddons-dev (>= 6.6.0~),
          libkf6kcmutils-bin (= ${binary:Version}),
          libkf6kcmutils6 (= ${binary:Version}),
          libkf6kcmutilscore6 (= ${binary:Version}),
          libkf6kcmutilsquick6 (= ${binary:Version}),
+         qml6-module-org-kde-kcmutils (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
@@ -115,7 +120,7 @@
 Package: qml6-module-org-kde-kcmutils
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Extra APIs to write KConfig modules
  KCMUtils provides various classes to work with KCModules. KCModules can be
  created with the KConfigWidgets framework.

## kf6-kcmutils 6.9.0

=== debian/changelog ===
kf6-kcmutils (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:44:50 +0000

kf6-kcmutils (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 14:07:24 +0000

kf6-kcmutils (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:34:21 +0000

kf6-kcmutils (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:04:21 +0100

kf6-kcmutils (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:21:22 +0100

kf6-kcmutils (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:32:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kcmutils
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -10,20 +11,18 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6configwidgets-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6guiaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6itemviews-dev (>= 6.6.0~),
-               libkf6kio-dev (>= 6.6.0~),
-               libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkf6xmlgui-dev (>= 6.6.0~),
-               qml6-module-org-kde-kirigami <!nocheck>,
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6configwidgets-dev (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6guiaddons-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
+               libkf6itemviews-dev (>= 6.9.0~),
+               libkf6kio-dev (>= 6.9.0~),
+               libkf6widgetsaddons-dev (>= 6.9.0~),
+               libkf6xmlgui-dev (>= 6.9.0~),
+               qml6-module-org-kde-config (>= 6.9.0~),
+               qml6-module-org-kde-kirigami (>= 6.9.0~) <!nocheck>,
                qml6-module-qtqml-workerscript <!nocheck>,
-               qml6-module-qtcore,
-               qml6-module-qtquick,
-               qml6-module-qtquick-window,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
@@ -32,8 +31,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcmutils
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
 Rules-Requires-Root: no
 
 Package: libkf6kcmutils-bin
@@ -59,8 +58,8 @@
 Package: libkf6kcmutils-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6configwidgets-dev (>= 6.6.0~),
-         libkf6coreaddons-dev (>= 6.6.0~),
+Depends: libkf6configwidgets-dev (>= 6.9.0~),
+         libkf6coreaddons-dev (>= 6.9.0~),
          libkf6kcmutils-bin (= ${binary:Version}),
          libkf6kcmutils6 (= ${binary:Version}),
          libkf6kcmutilscore6 (= ${binary:Version}),
@@ -120,7 +119,9 @@
 Package: qml6-module-org-kde-kcmutils
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: Extra APIs to write KConfig modules
  KCMUtils provides various classes to work with KCModules. KCModules can be
  created with the KConfigWidgets framework.

## kf6-kcmutils 6.10.0

=== debian/changelog ===
kf6-kcmutils (6.10.0-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 6.5.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 19 Sep 2024 14:33:42 +0000]
  * Update symbols files for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Wed, 12 Feb 2025 00:07:10 +0000

kf6-kcmutils (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:26:58 +0100

kf6-kcmutils (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:47:11 +0100

kf6-kcmutils (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:23 -0600

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,36 @@
 Source: kf6-kcmutils
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
-               libkf6configwidgets-dev (>= 6.9.0~),
-               libkf6coreaddons-dev (>= 6.9.0~),
-               libkf6guiaddons-dev (>= 6.9.0~),
-               libkf6i18n-dev (>= 6.9.0~),
-               libkf6itemviews-dev (>= 6.9.0~),
-               libkf6kio-dev (>= 6.9.0~),
-               libkf6widgetsaddons-dev (>= 6.9.0~),
-               libkf6xmlgui-dev (>= 6.9.0~),
-               qml6-module-org-kde-config (>= 6.9.0~),
-               qml6-module-org-kde-kirigami (>= 6.9.0~) <!nocheck>,
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6configwidgets-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6guiaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6itemviews-dev (>= 6.10.0~),
+               libkf6kio-dev (>= 6.10.0~),
+               libkf6widgetsaddons-dev (>= 6.10.0~),
+               libkf6xmlgui-dev (>= 6.10.0~),
+               qml6-module-org-kde-kirigami <!nocheck>,
                qml6-module-qtqml-workerscript <!nocheck>,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcmutils
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils.git
 Rules-Requires-Root: no
 
 Package: libkf6kcmutils-bin
@@ -58,15 +56,15 @@
 Package: libkf6kcmutils-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6configwidgets-dev (>= 6.9.0~),
-         libkf6coreaddons-dev (>= 6.9.0~),
+Depends: libkf6configwidgets-dev (>= 6.10.0~),
+         libkf6coreaddons-dev (>= 6.10.0~),
          libkf6kcmutils-bin (= ${binary:Version}),
          libkf6kcmutils6 (= ${binary:Version}),
          libkf6kcmutilscore6 (= ${binary:Version}),
          libkf6kcmutilsquick6 (= ${binary:Version}),
          qml6-module-org-kde-kcmutils (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
-         qt6-declarative-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
+         qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6kcmutils-doc (= ${source:Version}),
 Description: Extra APIs to write KConfig modules
@@ -119,9 +117,7 @@
 Package: qml6-module-org-kde-kcmutils
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Extra APIs to write KConfig modules
  KCMUtils provides various classes to work with KCModules. KCModules can be
  created with the KConfigWidgets framework.

## kf6-kcmutils 6.11.0

=== debian/changelog ===
kf6-kcmutils (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:24:56 +0100

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6configwidgets-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6guiaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6itemviews-dev (>= 6.10.0~),
-               libkf6kio-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
-               libkf6xmlgui-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6configwidgets-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6guiaddons-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
+               libkf6itemviews-dev (>= 6.11.0~),
+               libkf6kio-dev (>= 6.11.0~),
+               libkf6widgetsaddons-dev (>= 6.11.0~),
+               libkf6xmlgui-dev (>= 6.11.0~),
                qml6-module-org-kde-kirigami <!nocheck>,
                qml6-module-qtqml-workerscript <!nocheck>,
                qt6-base-dev (>= 6.6.0~),
@@ -56,8 +56,8 @@
 Package: libkf6kcmutils-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6configwidgets-dev (>= 6.10.0~),
-         libkf6coreaddons-dev (>= 6.10.0~),
+Depends: libkf6configwidgets-dev (>= 6.11.0~),
+         libkf6coreaddons-dev (>= 6.11.0~),
          libkf6kcmutils-bin (= ${binary:Version}),
          libkf6kcmutils6 (= ${binary:Version}),
          libkf6kcmutilscore6 (= ${binary:Version}),

## kf6-kcmutils 6.12.0

=== debian/changelog ===
kf6-kcmutils (6.12.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:12:56 -0500

kf6-kcmutils (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:50:01 +0000

kf6-kcmutils (6.11.0-0ubuntu2) plucky; urgency=high

  * Sync changes from debian/6.10.0-1

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Feb 2025 10:43:49 +0000

kf6-kcmutils (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:45:56 +0000

kf6-kcmutils (6.10.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 03:41:49 -0600

kf6-kcmutils (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:17:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: kf6-kcmutils
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6configwidgets-dev (>= 6.11.0~),
-               libkf6coreaddons-dev (>= 6.11.0~),
-               libkf6guiaddons-dev (>= 6.11.0~),
-               libkf6i18n-dev (>= 6.11.0~),
-               libkf6itemviews-dev (>= 6.11.0~),
-               libkf6kio-dev (>= 6.11.0~),
-               libkf6widgetsaddons-dev (>= 6.11.0~),
-               libkf6xmlgui-dev (>= 6.11.0~),
-               qml6-module-org-kde-kirigami <!nocheck>,
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6configwidgets-dev (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6guiaddons-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               libkf6itemviews-dev (>= 6.12.0~),
+               libkf6kio-dev (>= 6.12.0~),
+               libkf6widgetsaddons-dev (>= 6.12.0~),
+               libkf6xmlgui-dev (>= 6.12.0~),
+               qml6-module-org-kde-config (>= 6.12.0~),
+               qml6-module-org-kde-kirigami (>= 6.12.0~) <!nocheck>,
                qml6-module-qtqml-workerscript <!nocheck>,
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),
@@ -29,8 +31,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcmutils
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
 Rules-Requires-Root: no
 
 Package: libkf6kcmutils-bin
@@ -56,8 +58,8 @@
 Package: libkf6kcmutils-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6configwidgets-dev (>= 6.11.0~),
-         libkf6coreaddons-dev (>= 6.11.0~),
+Depends: libkf6configwidgets-dev (>= 6.12.0~),
+         libkf6coreaddons-dev (>= 6.12.0~),
          libkf6kcmutils-bin (= ${binary:Version}),
          libkf6kcmutils6 (= ${binary:Version}),
          libkf6kcmutilscore6 (= ${binary:Version}),
@@ -117,7 +119,9 @@
 Package: qml6-module-org-kde-kcmutils
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: Extra APIs to write KConfig modules
  KCMUtils provides various classes to work with KCModules. KCModules can be
  created with the KConfigWidgets framework.

## kf6-kcmutils 6.13.0

=== src/qml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(kcmutilsqmlplugin URI "org.kde.kcmutils" VERSION 1.0 DEPENDENCIES QtQuick org.kde.kcmutils.private org.kde.config GENERATE_PLUGIN_SOURCE)
target_sources(kcmutilsqmlplugin
  PRIVATE
    settingstateproxy.cpp
    kcmlauncher.cpp
    types.h
)
target_link_libraries(kcmutilsqmlplugin
  PRIVATE
    KF6::KIOGui
    Qt6::Qml
    Qt6::Quick
    kcmutils_proxy_model
    kcmutils_logging_STATIC
    KF6KCMUtilsQuick
)

ecm_target_qml_sources(kcmutilsqmlplugin SOURCES
    components/PluginDelegate.qml
    components/PluginSelector.qml
    components/AbstractKCM.qml
    components/ContextualHelpButton.qml
    components/GridDelegate.qml
    components/GridView.qml
    components/GridViewKCM.qml
    components/ScrollView.qml
    components/ScrollViewKCM.qml
    components/SettingHighlighter.qml
    components/SettingStateBinding.qml
    components/SimpleKCM.qml
)
ecm_target_qml_sources(kcmutilsqmlplugin PATH private SOURCES
    components/private/AboutPlugin.qml
    components/private/GridDelegateMenu.qml
    components/private/GridViewInternal.qml
)
ecm_finalize_qml_module(kcmutilsqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR})

ecm_add_qml_module(kcmutilsprivateqmlplugin URI "org.kde.kcmutils.private" DEPENDENCIES QtCore QtQuick GENERATE_PLUGIN_SOURCE)
target_sources(kcmutilsprivateqmlplugin PRIVATE private_types.h settinghighlighterprivate.cpp)
target_link_libraries(kcmutilsprivateqmlplugin PRIVATE Qt6::Quick kcmutils_proxy_model)
ecm_finalize_qml_module(kcmutilsprivateqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
kf6-kcmutils (6.13.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commit:
    - Improved accessibility by screen readers and keyboard navigation
    throughout System Settings, particularly around the topics of passing
    focus between page content and the window’s sidebars and footers.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 02 Jun 2025 23:31:03 +0200

kf6-kcmutils (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:37:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,25 @@
 Source: kf6-kcmutils
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6configwidgets-dev (>= 6.12.0~),
-               libkf6coreaddons-dev (>= 6.12.0~),
-               libkf6guiaddons-dev (>= 6.12.0~),
-               libkf6i18n-dev (>= 6.12.0~),
-               libkf6itemviews-dev (>= 6.12.0~),
-               libkf6kio-dev (>= 6.12.0~),
-               libkf6widgetsaddons-dev (>= 6.12.0~),
-               libkf6xmlgui-dev (>= 6.12.0~),
-               qml6-module-org-kde-config (>= 6.12.0~),
-               qml6-module-org-kde-kirigami (>= 6.12.0~) <!nocheck>,
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6configwidgets-dev (>= 6.13.0~),
+               libkf6coreaddons-dev (>= 6.13.0~),
+               libkf6guiaddons-dev (>= 6.13.0~),
+               libkf6i18n-dev (>= 6.13.0~),
+               libkf6itemviews-dev (>= 6.13.0~),
+               libkf6kio-dev (>= 6.13.0~),
+               libkf6widgetsaddons-dev (>= 6.13.0~),
+               libkf6xmlgui-dev (>= 6.13.0~),
+               qml6-module-org-kde-kirigami <!nocheck>,
                qml6-module-qtqml-workerscript <!nocheck>,
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),
@@ -29,10 +27,10 @@
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kcmutils
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils.git
 Rules-Requires-Root: no
 
 Package: libkf6kcmutils-bin
@@ -58,8 +56,8 @@
 Package: libkf6kcmutils-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6configwidgets-dev (>= 6.12.0~),
-         libkf6coreaddons-dev (>= 6.12.0~),
+Depends: libkf6configwidgets-dev (>= 6.13.0~),
+         libkf6coreaddons-dev (>= 6.13.0~),
          libkf6kcmutils-bin (= ${binary:Version}),
          libkf6kcmutils6 (= ${binary:Version}),
          libkf6kcmutilscore6 (= ${binary:Version}),
@@ -119,9 +117,7 @@
 Package: qml6-module-org-kde-kcmutils
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Extra APIs to write KConfig modules
  KCMUtils provides various classes to work with KCModules. KCModules can be
  created with the KConfigWidgets framework.

## kf6-kcmutils 6.16.0

=== debian/changelog ===
kf6-kcmutils (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:39:45 +0100

kf6-kcmutils (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:31:19 +0100

kf6-kcmutils (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:55:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: kf6-kcmutils
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
-               libkf6configwidgets-dev (>= 6.13.0~),
-               libkf6coreaddons-dev (>= 6.13.0~),
-               libkf6guiaddons-dev (>= 6.13.0~),
-               libkf6i18n-dev (>= 6.13.0~),
-               libkf6itemviews-dev (>= 6.13.0~),
-               libkf6kio-dev (>= 6.13.0~),
-               libkf6widgetsaddons-dev (>= 6.13.0~),
-               libkf6xmlgui-dev (>= 6.13.0~),
-               qml6-module-org-kde-kirigami <!nocheck>,
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6configwidgets-dev (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6guiaddons-dev (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
+               libkf6itemviews-dev (>= 6.16.0~),
+               libkf6kio-dev (>= 6.16.0~),
+               libkf6widgetsaddons-dev (>= 6.16.0~),
+               libkf6xmlgui-dev (>= 6.16.0~),
+               qml6-module-org-kde-config (>= 6.16.0~),
+               qml6-module-org-kde-kirigami (>= 6.16.0~) <!nocheck>,
                qml6-module-qtqml-workerscript <!nocheck>,
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),
@@ -27,10 +29,10 @@
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcmutils
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
 Rules-Requires-Root: no
 
 Package: libkf6kcmutils-bin
@@ -56,8 +58,8 @@
 Package: libkf6kcmutils-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6configwidgets-dev (>= 6.13.0~),
-         libkf6coreaddons-dev (>= 6.13.0~),
+Depends: libkf6configwidgets-dev (>= 6.16.0~),
+         libkf6coreaddons-dev (>= 6.16.0~),
          libkf6kcmutils-bin (= ${binary:Version}),
          libkf6kcmutils6 (= ${binary:Version}),
          libkf6kcmutilscore6 (= ${binary:Version}),
@@ -117,7 +119,9 @@
 Package: qml6-module-org-kde-kcmutils
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: Extra APIs to write KConfig modules
  KCMUtils provides various classes to work with KCModules. KCModules can be
  created with the KConfigWidgets framework.
